## org.metaabm.act.impl
Class ASinkImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.metaabm.impl.IIDImpl
                      org.metaabm.act.impl.AActImpl
                          org.metaabm.act.impl.ASinkImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, AAct, ASink, IAct, IID, IValue

Direct Known Subclasses:
  AEvaluateImpl, AQueryImpl

    public abstract class ASinkImpl

extends AActImpl
implements ASink

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`boolean` `accepts(IValue value, int place)`
`FFunction` `basicGetFunction()`
`int` `eBaseStructuralFeatureID(int derivedFeatureID, java.lang.Class<?> baseClass)`
`int` `eDerivedStructuralFeatureID(int baseFeatureID, java.lang.Class<?> baseClass)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject>` `getAccessors()`
`org.eclipse.emf.common.util.EList<SAttributeType>` `getAvailableTypes()`
`FFunction` `getFunction()`
`org.eclipse.emf.common.util.EList<AInput>` `getInputs()`
`boolean` `isMultiValue()`
`boolean` `references(IValue value)`
`void` `setFunction(FFunction newFunction)`

Methods inherited from class org.metaabm.act.impl.AActImpl
`basicGetReference, basicGetRootSelected, basicGetSelected, basicSetGroup, eBasicRemoveFromContainerFeature, getAllSources, getAllTargets, getGroup, getReference, getRootSelected, getSelected, getSources, getTargets, isReachable, isTargetOf, setGroup, setSelected`

Methods inherited from class org.metaabm.impl.IIDImpl
`getID, getLabel, setID, setLabel, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.metaabm.act.AAct
`getAllSources, getAllTargets, getGroup, getReference, getRootSelected, getSelected, getSources, getTargets, isReachable, isTargetOf, setGroup, setSelected`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getAccessors

    public org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject> getAccessors()

  Specified by:
    `getAccessors` in interface `IValue`
  Returns:
    the value of the 'Accessors' reference list.
  See Also:
    `MetaABMPackage.getIValue_Accessors()`

### getAvailableTypes

    public org.eclipse.emf.common.util.EList<SAttributeType> getAvailableTypes()

  Specified by:
    `getAvailableTypes` in interface `IValue`
  Returns:
    the value of the 'Available Types' attribute list.
  See Also:
    `SAttributeType`, `MetaABMPackage.getIValue_AvailableTypes()`

### getInputs

    public org.eclipse.emf.common.util.EList<AInput> getInputs()

  Specified by:
    `getInputs` in interface `ASink`
  Returns:
    the value of the 'Inputs' containment reference list.
  See Also:
    `MetaABMActPackage.getASink_Inputs()`, `AInput.getSink()`

### getFunction

    public FFunction getFunction()

  Specified by:
    `getFunction` in interface `ASink`
  Returns:
    the value of the 'Function' reference.
  See Also:
    `ASink.setFunction(FFunction)`, `MetaABMActPackage.getASink_Function()`

### accepts

    public boolean accepts(IValue value,
                           int place)

  Specified by:
    `accepts` in interface `ASink`

### basicGetFunction

    public FFunction basicGetFunction()

### setFunction

    public void setFunction(FFunction newFunction)

  Specified by:
    `setFunction` in interface `ASink`
  Parameters:
    `newFunction` - the new value of the 'Function' reference.
  See Also:
    `ASink.getFunction()`

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `AActImpl`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `AActImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `AActImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `AActImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `AActImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `AActImpl`

### eBaseStructuralFeatureID

    public int eBaseStructuralFeatureID(int derivedFeatureID,
                                        java.lang.Class<?> baseClass)

  Specified by:
    `eBaseStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eBaseStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eDerivedStructuralFeatureID

    public int eDerivedStructuralFeatureID(int baseFeatureID,
                                           java.lang.Class<?> baseClass)

  Specified by:
    `eDerivedStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eDerivedStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### isMultiValue

    public boolean isMultiValue()

  Specified by:
    `isMultiValue` in interface `ASink`

### references

    public boolean references(IValue value)

  Specified by:
    `references` in interface `AAct`
  Specified by:
    `references` in interface `IValue`
  Overrides:
    `references` in class `AActImpl`